
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>看实例学VFP：编程方式向表单添加新控件 / iVAN</title>

    <meta name="description" content="看实例学VFP：编程方式向表单添加新控件 vfp的&quot;表单控件工具栏&quot;包含了标签(Label).文本框(TextBox)等常用的控件类,以前我们向表单添加控件时多数都是在设计时使用该工具栏. 单击该工具栏上的某个控件图标后,即可在表单上拖动.绘制出所需要的控件.但有时我们需要的控件有可能在设计时无法确定,而是在应用程序运行时根据具体情况动态创建的,这时就需要以编程的方式,通过使用addobject()函数或creatobject()函数动态地向表单添加新控件. 本例在命令按钮的click事件代码中,使用系统基类grid ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">看实例学VFP：编程方式向表单添加新控件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>vfp的“表单控件工具栏”包含了标签（Label）、文本框（TextBox）等常用的控件类，以前我们向表单添加控件时多数都是在设计时使用该工具栏。 单击该工具栏上的某个控件图标后，即可在表单上拖动、绘制出所需要的控件。但有时我们需要的控件有可能在设计时无法确定，而是在应用程序运行时根据具体情况动态创建的，这时就需要以编程的方式，通过使用addobject()函数或creatobject()函数动态地向表单添加新控件。</p>
<p>本例在命令按钮的click事件代码中，使用系统基类grid动态创建出一个表格，单击“新建表格”按钮即会动态创建出一个表格并且把“网站信息表”作为数据源赋给它。本例中使用到了“数据1”数据库中的数据表“网站信息表”，关于该数据库的情况已经在看实例学VFP：示例数据库一文中给出，运行时界面如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjMxMjFKVVgyLmpwZw==.jpg"></p>
<p>单击了“新建表格”按钮后，则会动态创建表格并显示“网站信息表”的数据，如下图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjMxMjFSMDM5MzIuanBn.jpg"></p>
<p>本例制作步骤如下：</p>
<p>1.新建表单form1，将其保存为“编程方式向表单添加新控件.scx”，并按下表设置其属性：</p>
<table>
<tbody>
<tr>
<td>属性名</td>
<td>属性值</td>
</tr>
<tr>
<td>Caption</td>
<td>编程入门网-编程方式向表单添加新控件</td>
</tr>
<tr>
<td>AutoCenter</td>
<td>.T.</td>
</tr>
<tr>
<td>width</td>
<td>375</td>
</tr>
<tr>
<td>Height</td>
<td>250</td>
</tr>
</tbody>
</table>
<p>2.向表单中添加两个命令按钮command1和command2，将其Caption属性分别设置为“新建表格”和“退出”并适当调整它们在表单上的位置，如下图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjMxMjFUU0wyLmpwZw==.jpg"></p>
<p>3.添加事件代码：</p>
<p>(1)表单form1的init事件：</p>
<p>use 网站信息表</p>
<p>(2)表单form1的unload事件：</p>
<p>close data</p>
<p>(3)命令按钮command1的click事件：</p>
<pre>
this.enabled=.f.
thisform.height=250
thisform.addobject('grid1','grid')
thisform.grid1.Setall("DynamicBackColor","RGB(224,225,255)","Column")
with thisform.grid1
    .top=50
    .left=10
    .width=thisform.width-10
    .height=thisform.height-70
    .recordsource='网站信息表'
    .visible=.t.
    .Column1.Header1.BackColor=RGB(255,255,190)
    .Column2.Header1.BackColor=RGB(255,255,190)
    .Column3.Header1.BackColor=RGB(255,255,190)
endwith</pre>
<p>(4)命令按钮command2的click()事件:</p>
<p>thisform.release</p>
<p>4.运行“编程方式向表单添加新控件.scx”。</p>
<p>本例代码在Win2003+VFP6.0环境下调试通过。</p>
<p>查看全套“菜鸟也学VFP”教程</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索编程<br />
                    ，                表格<br />
                    ，                控件<br />
                    ，                表单<br />
                    ，                按钮<br />
                    ，                事件<br />
                    ，                编程 信息学奥赛<br />
                    ，                网站编程<br />
                    ，                selectjavascript控件表单<br />
                    ，                学编程<br />
                    ，                表单控件<br />
                                    数据表格控件<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:55:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%8c%89%e9%92%ae/" title="按钮">按钮</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e5%8d%95/" title="表单">表单</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6/" title="事件">事件</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e6%a0%bc/" title="表格">表格</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b-%e4%bf%a1%e6%81%af%e5%ad%a6%e5%a5%a5%e8%b5%9b/" title="编程 信息学奥赛">编程 信息学奥赛</a>, <a href="https://www.iamivan.net/tag/%e5%ad%a6%e7%bc%96%e7%a8%8b/" title="学编程">学编程</a>, <a href="https://www.iamivan.net/tag/selectjavascript%e6%8e%a7%e4%bb%b6%e8%a1%a8%e5%8d%95/" title="selectjavascript控件表单">selectjavascript控件表单</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e5%8d%95%e6%8e%a7%e4%bb%b6/" title="表单控件">表单控件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e8%a1%a8%e6%a0%bc%e6%8e%a7%e4%bb%b6/" title="数据表格控件">数据表格控件</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%ab%99%e7%bc%96%e7%a8%8b/" title="网站编程">网站编程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>看实例学VFP：编程方式向表单添加新控件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1GVKz.html" rel="bookmark">看实例学VFP：向数据表中添加记录时自动生成编号</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例在&quot;看实例学VFP:向数据表中添加记录并验证输入数据是否合法&quot;的基础上进行了改进,实现了在添加记录时不仅能够完成对输入数据的校验,还具有自动生成编号的功能.自动生成编号的相关代码加在表单的init事件及&quot;添加&quot;按钮的click中,在表单第一次启动或添加完记录后都会调用此段代码,实现自动生成编号的功能.运行界面如下: 本例用到了&quot;数据1&quot;数据库中的&quot;网站信息表&quot;,关于该数据库的情况已经在看实例学VFP:示例数据库一文中给出,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0G47b.html" rel="bookmark">看实例学VFP：用顶层表单制作软件主界面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文来制作一个顶层表单用作系统的主界面,运行界面见本文末尾,完成本例后即可以运行此表单并执行菜单里所指定的那些操作了.当然这仅仅是一个主表单而已,还需要一个系统用户登录验证表单来调用这个表单,以及主程序及连编.发布等操作,在后面的例子中会介绍这些. 本例制作步骤如下: 一.新建表单,将其caption属性值设置为&quot;编程入门网网址管理系统&quot;,width属性值设置为600,height属性值设置为400,AutoCenter属性值设置为.t.,并将表单保存为&quot;主表单.scx&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXnJ4b.html" rel="bookmark">看实例学VFP：向数据表中添加记录并验证输入数据是否合法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例的执行过程大致是在添加记录时首先使用empty()函数对接收数据文本框作是否为空的判断,使用locate做记录指针定位(关于vfp表记录指针定位和数据排序请参考:记录指针定位和数据排序),并判断是否和表中已有的数据重复.通过以上方式完成数据校验,如果满足非空.非重复的条件,则使用append blank命令在表中添加一条空白记录,然后使用replace命令将该记录的对应字段的值修改成表单上对应文本框内输入的值.程序运行时如下图: 本例用到了&quot;数据1&quot;数据库中的&quot;网站信息表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7aEqM.html" rel="bookmark">看实例学VFP：制作系统登录表单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例制作一个简单的登录表单,系统运行时首先启动此登录表单,运行界面如下图: 输入正确的用户名及密码才会启动主表单,如下图:若连续3次输入错误的用户名及密码则会自动退出. 制作步骤如下: 一.新建表单,将表单的caption属性值设置为&quot;系统登录&quot;,ShowWindow属性值设置为&quot;2-作为顶层表单&quot;,width属性值设置为295,height属性值设置为100,AutoCenter属性值设置为,并将表单保存为&quot;系统登录.scx&quot;. 二.继续设置该			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bok86b.html" rel="bookmark">看实例学VFP：删除数据表中的记录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例对看实例学VFP:对数据表中记录进行修改一文的实例进行了一点改进,增加了&quot;撤消&quot;功能.程序运行时如下图: 在组合框中选择要查找的字段,在文本框中输入查找内容后单击右侧的&quot;查找&quot;按钮后将查找结果显示在上方的表格中,&quot;查找&quot;按钮变成&quot;撤消&quot;按钮,同时激活&quot;删除&quot;按钮及用于显示数据的文本框,并将当前记录(满足查询条件的记录)的值同时显示在文本框中,:单击&quot;删除&quot;按钮后会删除查找出来的记录刷			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVq6Bp.html" rel="bookmark">看实例学VFP：对数据表中记录进行修改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例运行时表单上用于接收数据的文本框被隐藏,&quot;修改&quot;按钮禁用,如下图: 在组合框中选择要查找的字段,在文本框中输入查找内容后单击右侧的&quot;查找&quot;按钮后将查找结果显示在上方的表格中,&quot;查找&quot;按钮被禁用,同时激活&quot;修改&quot;按钮及用于接收数据的文本框,并将当前记录(满足查询条件的记录)的值同时显示在文本框中,如下图: 单击&quot;修改&quot;按钮后会对输入的值做判断,如果满足非空的条件,则用表单文本框中的值修改&quot;网站信			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2E3Bz.html" rel="bookmark">看实例学VFP：制作只能从顶层表单调用的系统主菜单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道正常的VFP菜单都是显示在主屏幕(_screen)中的,但如果要使用顶层表单来做软件的主界面,_screen是要屏蔽掉的.这就产生了一个问题:_screen没有了,软件菜单该往哪里放呢?没有关系,可以使用只能从顶层表单中调用的菜单来解决这个问题,另外这种菜单的调用处是在顶层表单的init事件中,而不是在主程序中. 本例来制作一个只能从顶层表单调用的系统主菜单MAIN.MPR,下一课我们将会给出使用顶层表单制作软件主界面的示例,并会在该示例中调用这个菜单.该菜单包括&quot;数据操作&quot;和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b348WM.html" rel="bookmark">看实例学VFP：页框控件的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				页框(pageframe) 也是vfp的一个基本控件,使用它可以制作出类似于windows对话框的效果,关于这个控件的常用属性和方法请参考vfp基础教程-页框和页一文. 页框控件本身是一个容器,其中可以包含若干个页(page):而页也是容器,可以在其中添加各种对象,因此无论是在设计时添加对象或者是代码引用,都要比别的控件麻烦些.在使用这个控件时需要注意:如果设计时要向某个页中添加对象,一定要在页框的编辑状态下选中该页的标签,然后再向该页中添加控件:另外在不同页之间切换时,需要处理好数据源的问题.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRPlGz.html" rel="bookmark">看实例学VFP：主程序及连编综合示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文给出一个简单的主程序并将我们做的这个简单的系统连编成为可执行文件.本实例采用顶层表单作为软件的主界面,运行连编后的exe会首先出现要求用户名和密码的登录表单,如下图: 连续3次输入错误的用户名及密码会自动退出,输入正确的用户名及密码后,登录表单隐藏并且启动主表单,如下图: 本例要点:因为使用顶层表单做主界面,就需要在主程序中加一句_screen.visible=.f.把主屏幕屏蔽掉:主表单是顶层表单,则主表单菜单各模块所调用的表单的ShowWindow属性值都应设置为&quot;1-在顶层表单中&qu			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPQArz.html" rel="bookmark" class="title">PHPUnit袖珍指南之安装PHPUnit</a>
					<div>
						到此PHPUnit可以通过PHP扩展和程序库(PEAE)获得.PEAR是可重用PHP组件的框架和分发系统.安装PHPUnit可以通过PEAR安装程序命令获得: pear install PHPUnit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBN9ab.html" rel="bookmark" class="title">ASP中得到用户的真实IP地址</a>
					<div>
						ip地址 这个是以前供职于一家电子商务网站时,由于网站的销售的都是虚拟的东西,比如说游戏充值卡 呀什么的,支持在线支付.久而久之,就免不了有很多人想要来打网站的主意,一些无聊者老是用代理上网来攻击网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2vmob.html" rel="bookmark" class="title">三个方面剖析百度权重是什么</a>
					<div>
						随着SEO行业的不断进步,行业竞争力度也开始越来越大,以前谷歌(GOOGLE) PR与网站主关键词排名是很多站长交换友情链接和评定一个网站好坏的重要依据.随着去年下半年站长工具开始显示百度权重以来,由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxBwPz.html" rel="bookmark" class="title">ipv6概述</a>
					<div>
						IP网络是指TCP/IP协议为基础通信协议的网络,著名的Internet是IP网的一种,也是最具代表性的IP网络. 随着IP业务的迅速增长,IP网络上应用的不断增加,原有的IP网越来越力不从心.IP网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnoQYz.html" rel="bookmark" class="title">Flash背景设定技巧</a>
					<div>
						一.使用任意颜色做背景 通常情况下,在Flash中动画背景颜色仅可以从216种网页安全色中选择.如果想使用网页安全色以外的颜色作为动画的背景色,可以使用以下方法: 1.在动画中绘制一个矩形(其他形状也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAreBb.html" rel="bookmark" class="title">多台路由器组网连接上网设置图文教程</a>
					<div>
						  本文主要以有线路由器TL-R460+和无线路由器TL-WR541G+为例为详细教大家多台路由器组网设置教程. 一.网络拓扑分析 1.假设您有一条ADSL宽带线,经过TL-R460+宽带路由器实现了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3wN1p.html" rel="bookmark" class="title">PS教你绘制一张绚丽的艺术海报</a>
					<div>
						  下面,看一我原图和山寨图的对比. 山寨之路开启,首先建个新文档. 创建一个渐变调整层,#4c4d4f到黑色的渐变,参数如下: 用圆角柔边画笔,设置颜色为#a5bbd8,画出如下图中的淡蓝色,更改图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYOO2M.html" rel="bookmark" class="title">Win8程序不兼容怎么查看</a>
					<div>
						Win8对于投入运营不长时间的系统来说,存在系统和软件的兼容性问题是很常见的.毕竟,之前的系统Win7和Xp系统,由于普及率较高,许多程序和软件都是根据他们进行开发的.所以,现在的系统存在很大的兼容性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZKnqz.html" rel="bookmark" class="title">F1到F12键你会用多少&quest;</a>
					<div>
						在Windows中,F1键到F12键都有各样的操作功能,但知道这些功能的人并不多,新手更是不用说.掌握F1到F12键的一些操作功能,使你比其他人有更高的效率. F1:如果你处在一个选定的程序中而需要帮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z7exb.html" rel="bookmark" class="title">WinPE启动一般占用多大的内存</a>
					<div>
						  玩精简PE我们需要懂得很多的知识,下面来说说PE启动内存占用大小的计算方法: PE的启动内存和核心有关,大概为下面这个公式(只是大概) 1.用CAB压缩过的核心 X*2+16(单位MB)(X为未压 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24l8Vp.html" rel="bookmark" class="title">office2016公众预览版上手体验图文演示</a>
					<div>
						  很多朋友要问了office2016公众预览版上要不要安装呢,今天小编带来了office2016公众预览版上手体验图文演示,大家自己决定吧,当然,时间关系,这次是个&quot;初体验&quot;.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYkxjM.html" rel="bookmark" class="title">C&plus;&plus;求最大公约数与最小公倍数</a>
					<div>
						#include &lt;iostream&gt; using namespace std; int main(int argc, char **argv) { int p,r,n,m,temp; c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7vg3b.html" rel="bookmark" class="title">c语言-用vc6&period;0编写一个整人的小程序&lpar;我想要详细的做法和解除的方法&rpar;</a>
					<div>
						问题描述 用vc6.0编写一个整人的小程序(我想要详细的做法和解除的方法) 通过QQ等发给别人,在对面没有编辑环境的情况下也能整到他(比如让他骂自己不然就重启电脑:让他夸我不然锁住计算机屏幕等等!顺便 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWngrp.html" rel="bookmark" class="title">CVPR现场直击：一文尽览最顶级的CV&plus;学术盛会！&vert; CVPR 2017</a>
					<div>
						雷锋网AI科技评论报道,今天(夏威夷当地时间7月22日),2017 CVPR 正式开幕,一百多家AI参展商陆续就位,百花齐放:而经历了昨天的 tutorial&amp;workshops 预热和今天的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQVkVp.html" rel="bookmark" class="title">在线所见即所得HTML编辑器的实现原理浅析&lowbar;javascript技巧</a>
					<div>
						如今网站开发越来越提倡用户体验,为用户提供便利的工具也越来越多,而在线的HTML内容编辑器应该算是其中比较&quot;古老&quot;的一个了.功能简单的可以为用户提供文本的样式控制,例如文字的颜色. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk2nvb.html" rel="bookmark" class="title">app架构</a>
					<div>
						架构因人而异,不同的架构师大多会有不同的看法:架构也因项目而异,不同的项目需求不同,相应的架构也会不同.然而,有些东西还是通用的,是所有架构师都需要考虑的,也是所有项目都会有的 需求:比如API如何设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7P8oz.html" rel="bookmark" class="title">书评：速度与激情：以网站性能提升用户体验之我见</a>
					<div>
						    该书试读内容不多,一共48页,正式内容是21页开始,也就是说,只能试读28页的内容.不过叶落知秋,28页也足够可以推敲出整本书大致的内容和风格了.     该书主要从设计师的角度,阐述了页面设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrggZM.html" rel="bookmark" class="title">ORACLE计算表引占用空间大小</a>
					<div>
						在ORACLE数据库中,如何计算一个表所占用的存储空间呢?我们可以通过系统视图DBA_SEGMENTS.USER_SEGMETNS.DBA_TABLES来查看一个表所占空间的大小,如下所示:   SE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6No9oM.html" rel="bookmark" class="title">中国联通2013全年净利104亿元 同比增长46&period;7&percnt;</a>
					<div>
						2月27日 下午,中国联通今日发布2013年业绩报告.报告显示,去年全年,中国联通营收为2950.4亿元, 同比增长18.5%:净利润为104.1亿元,同比增长46.7%. 主要业绩数据: ·2013 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw4KAM.html" rel="bookmark" class="title">网上找到可以平铺背景，求Android下用法</a>
					<div>
						问题描述 网上看到可以这样做到背景图平铺,但是不知道怎么引用. 只接放到 layout时不能用. &lt;bitmap xmlns:android=&quot;http://schemas.andro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lVR9b.html" rel="bookmark" class="title">object-htm5视频播放快进功能键没有，不能快进后退</a>
					<div>
						问题描述 htm5视频播放快进功能键没有,不能快进后退 遇到了一个找不到头绪的问题,放上来大家参考一下,多给给意见! 我要做的是播放视频的一个小界面,一开始因为没有装对应的播放器所以一直不能播放视频. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NQELM.html" rel="bookmark" class="title">使用tortoisesvn在新浪sae提交代码失败，如图，怎么解决&quest;</a>
					<div>
						问题描述 使用tortoisesvn在新浪sae提交代码失败,如图,怎么解决? 如图所示,用tortoisesvn上传代码带sae的时候出现这个错误,是服务器本身有问题还是代码有问题?有啥思路解决这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR7ROp.html" rel="bookmark" class="title">jquery ajax-jQuery ajax获取数据问题</a>
					<div>
						问题描述 jQuery ajax获取数据问题 程序片段如下: var data_1; $.post(&quot;getdata.php&quot;,function(string_1){ data_1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLo0Wp.html" rel="bookmark" class="title">android-当我点击ListView item时如何关闭AlertDialog？</a>
					<div>
						问题描述 当我点击ListView item时如何关闭AlertDialog? 下面是 dialog 代码,在 dialog 中有一个 ListView,我想在点击 ListView item 时关闭 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZJdAM.html" rel="bookmark" class="title">mysql  做服务器后端（初学者）</a>
					<div>
						问题描述 mysql 做服务器后端(初学者) 我刚刚接触MYSQL现在先学点什么或者说先学些什么?我刚刚接触MYSQL现在先学点什么或者说先学些什么?我刚刚接触MYSQL现在先学点什么或者说先学些什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmXJWb.html" rel="bookmark" class="title">请问服务器的socket接收该怎么写？</a>
					<div>
						问题描述 比如那些网游,他们服务器需要同时接收很多链接,是用socket写的吗?如果是,那他 的listen监听的连接数肯定远远大于5啊?这是怎么弄的? 问题补充:dwangel 写道 解决方案 我只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR4Njp.html" rel="bookmark" class="title">黑客盯上美国助学申请工具漏洞 窃取10万纳税人信息</a>
					<div>
						美国国税局(Internal Revenue Service,IRS)约翰`科士奇宁周四表示,美国学生申请助学金使用的一款在线工具遭遇黑客攻击,可能导致超过10万名纳税人的信息被窃. 科士奇宁周四在参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YV19z.html" rel="bookmark" class="title">MySql常用命令总结</a>
					<div>
						1:使用SHOW语句找出在服务器上当前存在什么数据库: mysql&gt; SHOW DATABASES; 2:2.创建一个数据库MYSQLDATA mysql&gt; CREATE DATABASE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR39Op.html" rel="bookmark" class="title">android-Android中LinearLayout1中嵌套多个LinearLayout布局</a>
					<div>
						问题描述 Android中LinearLayout1中嵌套多个LinearLayout布局 LinearLayout1中嵌套了多个LinearLayout布局,我通过setVisibility(Vie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRyaop.html" rel="bookmark" class="title">怎么样零基础学习开发HTML5&quest;有什么推荐书籍和学习方法？</a>
					<div>
						我做web大概有八年的时间,今天主要给新手想要做HTML5开发的新手简单说下HTML5能做为什么以及未来的发展和一个系统的学习规划,目前HTML5有多火,不用我说大家都清楚,很多其他行业想转行做HTM ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
